Page MenuHomePhabricator

Prepare Gerrit site template for upcoming Gerrit 3.x upgrade
Closed, ResolvedPublic

Description

With upstream upgrading Polymer 1.x to Polymer 2.x (gerrit 3.1) (or maybe Polymer 3 in gerrit 3.2) we will need to prepare for that upgrade.

Polymer 2.x is a very significant update.

We need to split this https://github.com/wikimedia/puppet/blob/401a720657b00c9ad7c3651ee4b45756572131ea/modules/gerrit/templates/gerrit.config.erb#L86 up so that it uses style="" instead of classes. This is due to how shadow dom works under Polymer 2.x.

Installing this https://github.com/dburm/pg-test-result-plugin/blob/master/test_result-0.1.html should mean we doin't have to do the above.

For the theme, i am working with upstream so we can keep our theme, but the way we do the theme will change.

https://polymer-library.polymer-project.org/2.0/docs/upgrade

Event Timeline

Paladox created this task.Jul 8 2019, 6:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 8 2019, 6:01 PM
Paladox moved this task from Bugs & stuff to Local hacks on the Gerrit board.Aug 13 2019, 12:07 PM

Change 539180 had a related patch set uploaded (by Paladox; owner: Paladox):
[operations/puppet@production] Gerrit: Migrate theme to support Polymer 2

https://gerrit.wikimedia.org/r/539180

Paladox triaged this task as Medium priority.Sep 25 2019, 6:47 PM
Paladox updated the task description. (Show Details)Sep 25 2019, 6:49 PM
Dvorapa updated the task description. (Show Details)Mar 3 2020, 10:33 PM
Dvorapa added a subscriber: Dvorapa.
QChris renamed this task from Prepare for Polymer 2.x to Prepare Gerrit site template for upcoming Gerrit 3.x upgrade.Jun 6 2020, 12:48 PM
QChris added a parent task: T254158: Gerrit 3.2 upgrade.
QChris updated the task description. (Show Details)

Change 606840 had a related patch set uploaded (by QChris; owner: Christian Aistleitner):
[operations/puppet@production] gerrit: Remove old Polymer <2 styles for new Gerrits

https://gerrit.wikimedia.org/r/606840

Change 606841 had a related patch set uploaded (by QChris; owner: Christian Aistleitner):
[operations/puppet@production] gerrit: Switch header styling for new Gerrits from component to style

https://gerrit.wikimedia.org/r/606841

Change 606842 had a related patch set uploaded (by QChris; owner: Christian Aistleitner):
[operations/puppet@production] gerrit: Use colored header bar also in dark theme for new Gerrits

https://gerrit.wikimedia.org/r/606842

Change 606843 had a related patch set uploaded (by QChris; owner: Christian Aistleitner):
[operations/puppet@production] gerrit: Have a proper light and dark style for new Gerrits

https://gerrit.wikimedia.org/r/606843

Change 539180 merged by Dzahn:
[operations/puppet@production] Gerrit: Migrate theme to support Polymer 2

https://gerrit.wikimedia.org/r/539180

Change 606840 merged by Dzahn:
[operations/puppet@production] gerrit: Remove old Polymer <2 styles for new Gerrits

https://gerrit.wikimedia.org/r/606840

Change 606841 merged by Dzahn:
[operations/puppet@production] gerrit: Switch header styling for new Gerrits from component to style

https://gerrit.wikimedia.org/r/606841

Change 606842 merged by Dzahn:
[operations/puppet@production] gerrit: Use colored header bar also in dark theme for new Gerrits

https://gerrit.wikimedia.org/r/606842

Change 606843 merged by Dzahn:
[operations/puppet@production] gerrit: Have a proper light and dark style for new Gerrits

https://gerrit.wikimedia.org/r/606843

Dzahn added a subscriber: Dzahn.Jun 27 2020, 8:25 PM

gerrit is now on 3.2 . resolved, right ?:)

Paladox closed this task as Resolved.Jun 27 2020, 8:38 PM

yup!